$(function(){
	$(".reportYear").datetimepicker({
	    language:  "zh-CN",
	    weekStart: 1,
	    todayBtn:  1,
	    autoclose: 1,
	    todayHighlight: 1,
	    startView: 4,
	    minView: 4,
	    forceParse: 0,
	    format: "yyyy"
	});
	var occurDate=$("#finpsOccurDate").val();
	if(occurDate){
		$(".occurDate").val(occurDate.substring(0,4)+'-'+occurDate.substring(4,6)+'-'+occurDate.substring(6,8));
	}
	$(".occurDate").datetimepicker({
	    language:  "zh-CN",
	    weekStart: 1,
	    todayBtn:  1,
	    autoclose: 1,
	    todayHighlight: 1,
	    startView: 2,
	    minView: 2,
	    forceParse: 0,
	    format: "yyyymmdd"
	});
	$(".occurDate").val(occurDate);
	var auditDate=$("#finpsAuditDate").val();
	if(auditDate){
		$(".auditDate").val(auditDate.substring(0,4)+'-'+auditDate.substring(4,6)+'-'+auditDate.substring(6,8));
	}
	$(".auditDate").datetimepicker({
	    language:  "zh-CN",
	    weekStart: 1,
	    todayBtn:  1,
	    autoclose: 1,
	    todayHighlight: 1,
	    startView: 2,
	    minView: 2,
	    forceParse: 0,
	    format: "yyyymmdd"
	});
	$(".auditDate").val(auditDate);
	function getDictionaryItem(paramName,name,ele){
		$.ajax({
			type:"get",
			url:'/orgbaseInfo/doFindDictCode',
			data:{
				'paramName':paramName
			},
			success:function(data){
//				console.log(data);
				if( data ){
					ele.empty().append('<option value="">请选择</option>');
					for(var i in data){
						ele.append('<option value="'+i+'">'+data[i]+'</option>');
					}
					if( ele.attr("value")!='' ){//有值
						ele.find("option").each(function(){
							if( $(this).val()==ele.attr("value") ){
								$(this).prop("selected",true);
							}
						})
					}
				}
			},
			error:function(status){
				new $.zui.Messager(name+'数据获取失败', {
					type : 'danger',
					time : 1500
				}).show();
			}
		})
	}
	
	$("#finpsUpdateForm .amount").each(function(){
		if( $(this).val()!='' ){
			$(this).val(commaDelimiter($(this).val()))
		}
	})
	$("#finpsUpdateForm .amount").keyup(function(){
		if( $(this).val()!='' ){
			$(this).val(commaDelimiter($(this).val()))
		}
	})
	getDictionaryItem('reportType','报表类型',$("#finpsUpdateForm .reportType"));
	getDictionaryItem('reportSubType','报表类型细分',$("#finpsUpdateForm .reportSubType"));
	
	$(".baseInfofinpsDialog .addSure").removeClass("loadingCircle");
	
	$(".baseInfofinpsDialog .addSure").click(function(){
		$("#finpsUpdateForm").submit();
	})
	$("#finpsUpdateForm").validate({
		promptPosition : "bottomLeft",
		submitHandler : function(form) {
			$(".baseInfofinpsDialog .addSure").addClass("loadingCircle");
			$("#finpsUpdateForm .amount").each(function(){
				$(this).val($(this).val().split(',').join(''));
			})
			$(form).ajaxSubmit({
				success : function(e) {
					if (e && e.success == true) {
						new $.zui.Messager('保存成功', {
							type : 'success',
							time : 1500
						}).show();
						$(".baseInfofinpsDialog .addSure").removeClass("loadingCircle");
						$(".baseInfofinpsDialog").modal("hide");
						$(".baseInfofinpsDialog").on('hidden.zui.modal', function(){
							//刷新表格
							$('#finpsList').trigger('reloadGrid');
						});
					}else {
						new $.zui.Messager('保存失败:'+e.msg, {
							type : 'danger',
							time : 1500
						}).show();
						$(".baseInfofinpsDialog .addSure").removeClass("loadingCircle");
					}
				}
			})
		},
		rules : {
			'h9170':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9171':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9173':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9174':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9175':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9176':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9177':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9178':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9179':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9180':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9181':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9182':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9183':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9184':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9185':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9186':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9187':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9188':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			}
		},
		messages : {
			
		}
	})
})